unix-compat-0.7.4.1: Portable POSIX-compatibility layer.

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.PosixCompat.Temp

Description

This module makes the operations exported by `System.Posix.Temp` available on all platforms. On POSIX systems it re-exports operations from `System.Posix.Temp`, on other platforms it emulates the operations as far as possible.

Synopsis

- mkstemp :: String -> IO (FilePath, Handle)

# Documentation

mkstemp :: String -> IO (FilePath, Handle) Source #

Make a unique filename and open it for reading/writing. The returned `FilePath` is the (possibly relative) path of the created file, which is padded with 6 random characters. The argument is the desired prefix of the filepath of the temporary file to be created.

If you aren't using GHC or Hugs then this function simply wraps mktemp and so shouldn't be considered safe.